function fig1_5

clf
% get(gcf)
set(gcf,'Position', [8 1148 685 164])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

hold on
plot([0 5],[0 0],'k','LineWidth',2)
arrowhead([4.1 4.5],[0 0],'k',[0.5 1.2],1);
yf=-0.22;
text(0.29,yf,'$1-\varepsilon$','Interpreter','Latex','FontSize',18)
text(0.83,yf,'$1-\varepsilon/2$','Interpreter','Latex','FontSize',18)
text(1.63,yf,'$1$','Interpreter','Latex','FontSize',18)
text(2.65,yf,'$1+\varepsilon$','Interpreter','Latex','FontSize',18)
text(3.82,yf,'$1+2\varepsilon$','Interpreter','Latex','FontSize',18)
text(1.95+2.5,yf+0.05,'$x$','Interpreter','Latex','FontSize',18)

L=2; R=4;
dx=0.2;
dl=(4-0.5)/6;
lw=1.5;
lw2=2;
dy=0.07;
x1=0.5;
x2=x1+dl; x3=x2+dl; x4=x3+2*dl; x5=x4+2*dl;
plot([x1 x1],[-dy dy],'k','LineWidth',lw)
plot([x2 x2],[-dy dy],'k','LineWidth',lw)
plot([x3 x3],[-dy dy],'k','LineWidth',lw)
plot([x4 x4],[-dy dy],'k','LineWidth',lw)
plot([x5 x5],[-dy dy],'k','LineWidth',lw)

x=0.5+dl/2;
ny=5;
plot([x x],[-2*dy ny*dy],'--r','LineWidth',lw2)
text(x+dl/2-0.03,0.23,'I','Color','red','Interpreter','Latex','FontSize',18)
x=x+dl;
plot([x x],[-2*dy ny*dy],'--r','LineWidth',lw2)
text(x+1.5*dl/2-0.1,0.23,'II','Color','red','Interpreter','Latex','FontSize',18)
x=x+1.5*dl;
plot([x x],[-2*dy ny*dy],'--r','LineWidth',lw2)
text(x+dl-0.1,0.23,'III','Color','red','Interpreter','Latex','FontSize',18)
x=x+2*dl;
plot([x x],[-2*dy ny*dy],'--r','LineWidth',lw2)

axis([0.2 4.5 -2*dy 2*dy])

box on
grid on
axis equal
axis off
set(gca,'FontSize',18,'FontWeight','bold')

%exportgraphics(gca,'/Users/mark/Desktop/floats.eps')
%exportgraphics(gca,'/Users/mark/Desktop/floats2.eps','ContentType','vector')



















